Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.jftp.util
Class JRawConnection

    java.lang.Object
      net.sf.jftp.util.JRawConnection

All Implemented Interfaces:
  java.lang.Runnable

    public class JRawConnection

extends java.lang.Object
implements java.lang.Runnable

Constructor Summary
`JRawConnection(java.lang.String host, int port)`
`JRawConnection(java.lang.String host, int port, boolean reciever)`

Method Summary
`java.io.DataInputStream` | `getInetInputStream()`
`java.io.PrintStream` | `getInetOutputStream()`
`boolean` | `isThere()`
`void` | `run()`
`void` | `send(java.lang.String data)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JRawConnection

    public JRawConnection(java.lang.String host,
                          int port)

### JRawConnection

    public JRawConnection(java.lang.String host,
                          int port,
                          boolean reciever)

Method Detail

### run

    public void run()

  Specified by:
    `run` in interface `java.lang.Runnable`

### isThere

    public boolean isThere()

### send

    public void send(java.lang.String data)

### getInetOutputStream

    public java.io.PrintStream getInetOutputStream()

### getInetInputStream

    public java.io.DataInputStream getInetInputStream()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD